subfaixbox_param Union Reference

variable sized parameters in fragment array index box More...

`#include <faixbox_manager.h>`

## Data Fields

subfaixbox4_param_t * | byte4_params
| parameters with 4byte codes for version 0 or 2
subfaixbox8_param_t * | byte8_params
| parameters with 8byte codes for version 1 or 3

## Detailed Description

variable sized parameters in fragment array index box

## Field Documentation

## byte4_params

subfaixbox4_param_t* subfaixbox_param::byte4_params

parameters with 4byte codes for version 0 or 2

Referenced by gene_faixbox(), get_elemAux(), get_elemLen(), get_elemOff(), get_m(), and get_nmax().

## byte8_params

subfaixbox8_param_t* subfaixbox_param::byte8_params

parameters with 8byte codes for version 1 or 3

Referenced by gene_faixbox(), get_elemAux(), get_elemLen(), get_elemOff(), get_m(), and get_nmax().

The documentation for this union was generated from the following file:

- faixbox_manager.h